[TIP] libacl-devel für linken gegen KDE 3.5.0 Rc1 leval a

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
taki
Advanced Hacker
Advanced Hacker
Beiträge: 974
Registriert: 30. Apr 2004, 17:40
Wohnort: Berlin
Kontaktdaten:

[TIP] libacl-devel für linken gegen KDE 3.5.0 Rc1 leval a

Beitrag von taki » 19. Nov 2005, 12:03

Hi.
Ich bin mir nicht sicher, ob es besser hier, im Programmier-Forum oder bei KDE, GNOME etc. passt. Eigentlich gehört es in alle diese Foren.

Wer gerade mit apt KDE 3.5.0 RC1 level aus kde-stable gezogen hat und versucht, KDE-Sourcen zu übersetzen (z.B. kalva 0.8.50 aus dem SVN ;-) ), wird wahrscheinlich über diese Fehlermeldung stolpern:

Vorher:
/usr/lib/gcc/i586-suse-linux/4.0.2/../../../../i586-suse-linux/bin/ld: cannot find -lacl
collect2: ld returned 1 exit status
Error creating ../../kalva/src/kalva. Exit status 1.
gmake: *** [all] Fehler 1
*** Beendet mit Status: 2 ***
Ein "apt-get install libacl-devel" behebt das Problem. Bei KDE 3.4.3 war dieses Paket offenbar nicht erforderlich.

Nachher:
linking ../../kalva/src/kalva
<br />
*** Warning: Linking the executable ../../kalva/src/kalva against the loadable module
*** libkchlstfilterplugininterfaces.so is not portable!
linking ../../kalva/src/xawtvrcfilterplugin/xawtvrcfilterplugin.la
<br />
*** Warning: Linking the shared library ../../kalva/src/xawtvrcfilterplugin/xawtvrcfilterplugin.la against the loadable module
*** libkchlstfilterplugininterfaces.so is not portable!
linking ../../kalva/src/tv_stationsfilterplugin/tv_stationsfilterplugin.la
<br />
*** Warning: Linking the shared library ../../kalva/src/tv_stationsfilterplugin/tv_stationsfilterplugin.la against the loadable module
*** libkchlstfilterplugininterfaces.so is not portable!
linking ../../kalva/src/scantvplugin/scantvplugin.la
<br />
*** Warning: Linking the shared library ../../kalva/src/scantvplugin/scantvplugin.la against the loadable module
*** libkchlstfilterplugininterfaces.so is not portable!
*** Erfolg ***
:-D
SuSE 12.3 kernel 3.7.10-1.16-desktop, K Desktop Environment Version 4.10.5 r1 - Medion Titanium Aldi v. 03/2009

Werbung:
Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast